package require http

# ::http::config -proxyhost 56.0.0.2 -proxyport 8000

puts [format \
   {%-5s %-9s %-7s %-5s %-6s %-9s %-9s %-9s %-8s}\
  symb last change pct date open high low volume]     

foreach symbol $argv {
    set url "http://www.newsalert.com/free/stocknews?Symbol=$symbol"
    
    set id [::http::geturl $url]
    set page [::http::data $id]
    
    regexp -expanded "arts.Symbol=(.+?)\">  # Get the symbol
                  (.+?)<tr>"      $page m symb data
    regsub -all {<.+?>} $data {} lines
    set dataList [split [string trim $lines] \n]

    puts [eval format \
      {{%-5s %-9s %-7s %-5s %-6s %-9s %-9s %-9s %-8s}} \
      $symbol $dataList]
 }

